
#+
# Module:
#  examples.tcl
# Description:
#  Runs the ptcl example scripts via two procedures
# Author(s):
#  Examples by Nick Elias (nme@fornax.usno.navy.mil)
#  Procedures by Phil Daly (pnd@jach.hawaii.edu)
# Date:
#  21-Nov-1996: Original version (nme,pnd)
# Warranty:
#  Absolutely none!
#-

proc ex1 {} {
  #
  # Get the device
  puts -nonewline stdout "\nDevice (\"/xwindow\")? >> "; flush stdout
  gets stdin device
  set device [string trim $device]
  if {$device == ""} {set device "/xwindow"}
  
  #
  # Tell user what we're going to do
  puts "\nSetting some data values: "
  puts "\tset x \"1 2 3 4 5 6 7 8 9 10\" "
  puts "\tset y \$x"
  puts "\tset y2 \"1 4 9 16 25 36 49 64 81 100\" "
  
  #
  # Do it ...
  set x "1 2 3 4 5 6 7 8 9 10"
  set y $x
  set y2 "1 4 9 16 25 36 49 64 81 100"
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nOpening PGPLOT: "
  puts "\tpgbeg 0 $device 1 1"
  puts "\tpgenv 0 11 0 121 0 0"
  
  #
  # Do it ...
  pgbeg 0 $device 1 1
  pgenv 0 11 0 121 0 0
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nUsing colour index 1 to plot points: "
  puts "\tpgsci 1"
  puts "\tpgpt [llength \$x] \$x \$y 16"
  
  #
  # Do it ...
  pgsci 1
  pgpt [llength $x] $x $y 16
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nUsing colour index 2 to plot points: "
  puts "\tpgsci 2"
  puts "\tpgpt [llength \$x] \$x \$y2 16"
  
  #
  # Do it ...
  pgsci 2
  pgpt [llength $x] $x $y2 16
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nUsing colour index 3 to plot lines: "
  puts "\tpgsci 3"
  puts "\tpgline [llength \$x] \$x \$y"
  puts "\tpgline [llength \$x] \$x \$y2"
  
  #
  # Do it ...
  pgsci 3
  pgline [llength $x] $x $y
  pgline [llength $x] $x $y2
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nEnding plot: "
  puts "\tpgend"
  
  #
  # Do it ...
  pgend
}

proc ex2 {} {
  #
  # Get the device
  puts -nonewline stdout "\nDevice? (\"/xwindow\")? >> "; flush stdout
  gets stdin device
  set device [string trim $device]
  if {$device == ""} {set device "/xwindow"}
  
  #
  # Tell user what we're going to do
  puts "\nSetting some data values: "
  puts "\tset x \"1 2 3 4 5 6 7 8 9 10\" "
  puts "\tset y \$x"
  puts "\tset y2 \"1 4 9 16 25 36 49 64 81 100\" "
  puts "\tset y3 \"1 8 27 64 125 216 343 512 729 1000\" "
  
  #
  # Do it ...
  set x "1 2 3 4 5 6 7 8 9 10"
  set y $x
  set y2 "1 4 9 16 25 36 49 64 81 100"
  set y3 "1 8 27 64 125 216 343 512 729 1000"
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nOpening PGPLOT: "
  puts "\tpgbeg 0 $device 1 3"
  puts "\tpgenv 0 11 0 121 0 0"
  
  #
  # Do it ...
  pgbeg 0 $device 1 3
  pgenv 0 11 0 121 0 0
    
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nUsing colour index 1 to plot points: "
  puts "\tpgsci 1"
  puts "\tpgpt [llength \$x] \$x \$y 16"
  
  #
  # Do it ...
  pgsci 1
  pgpt [llength $x] $x $y 16
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
    
  #
  # Tell user what we're going to do
  puts "\nUsing colour index 2 to plot points: "
  puts "\tpgsci 2"
  puts "\tpgpt [llength \$x] \$x \$y2 16"
  
  #
  # Do it ...
  pgsci 2
  pgpt [llength $x] $x $y2 16
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk

  #
  # Tell user what we're going to do
  puts "\nUsing colour index 3 to plot lines: "
  puts "\tpgsci 3"
  puts "\tpgline [llength \$x] \$x \$y"
  puts "\tpgline [llength \$x] \$x \$y2"
  
  #
  # Do it ...
  pgsci 3
  pgline [llength $x] $x $y
  pgline [llength $x] $x $y2
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nSetting new environment: "
  puts "\tpgsci 1"
  puts "\tpgenv 0 1 0 1 0 0"
  
  #
  # Do it ...
  pgsci 1
  pgenv 0 1 0 1 0 0
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nDrawing ellipse: "
  puts "\tpgsci 1"
  puts "\tpgcirc 0.2 0.3 0.2"
  
  #
  # Do it ...
  pgsci 1
  pgcirc 0.2 0.3 0.2
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nDrawing ellipse: "
  puts "\tpgsci 2"
  puts "\tpgcirc 0.5 0.5 0.25"
  
  #
  # Do it ...
  pgsci 2
  pgcirc 0.5 0.5 0.25
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nDrawing rectangle: "
  puts "\tpgsci 3"
  puts "\tpgrect 0.6 0.8 0.6 0.8"
  
  #
  # Do it ...
  pgsci 3
  pgrect 0.6 0.8 0.6 0.8
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nSetting new environment: "
  puts "\tpgsci 1"
  puts "\tpgenv 0 121 0 1331 0 0"
  
  #
  # Do it ...
  pgsci 1
  pgenv 0 121 0 1331 0 0
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  #   Tell user what we're going to do
  puts "\nDrawing square versus cube: "
  puts "\tpgline [llength \$y2] \$y2 \$y3"
  
  #
  # Do it ...
  pgline [llength $y2] $y2 $y3
  
  #
  # Get <cr> to continue
  puts -nonewline stdout "Press <return> to continue >> "; flush stdout
  gets stdin junk
  
  #
  # Tell user what we're going to do
  puts "\nEnding plot: "
  puts "\tpgend"
  
  #
  # Do it ...
  pgend
}

